Skip to navigation

Team Folder Get Info

View as Markdown

Retrieves metadata for team folders.

Permission : Team member file access.

Required scope: team_data.content.read

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
team_folder_idslist of stringsRequired
The list of team folder IDs.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
Variant:
team.TeamFolderGetInfoItem.id_not_foundobject

An ID that was provided as a parameter to team_folder/get_info did not match any of the team’s team folders.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error